#ifndef CDLGMSG_H
#define CDLGMSG_H

#include <QDialog>
#include <QPixmap>
#include "base.h"
namespace Ui {
class CDlgMsg;
}

class CDlgMsg : public QDialog
{
    Q_OBJECT

public:
    explicit CDlgMsg(QWidget *parent = 0);
    ~CDlgMsg();

    virtual void paintEvent(QPaintEvent * );
    QPixmap m_Pixmap;
    void refreshPixmap();
    void resizeEvent(QResizeEvent *);
    void showEvent(QShowEvent *);
    void hideEvent(QHideEvent *);
    void timerEvent(QTimerEvent *event);
    QString strText;
    int m_bkColor;
    int m_timer_id;
    int m_iMsgType;
public:
    void SetMsg(QString& s,int iErrType);
private slots:
    void on_pushButton_2_clicked();

    void on_pushButton_buzz_off_clicked();

private:
    Ui::CDlgMsg *ui;
    bool m_bOn;
    int m_iCount;
};

#endif // CDLGMSG_H
